#ifndef _RECIPESTREE_H
#define _RECIPESTREE_H

#include <QDialog>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QListView>
#include <QtWidgets/QTreeWidget>
#include <QtWidgets/QDialog>
#include <QtWidgets/QHeaderView>


namespace Ui {
class RecipesTree;
}

class RecipesTree : public QDialog
{
    Q_OBJECT

public:
    explicit RecipesTree(QWidget *parent = nullptr);
    ~RecipesTree();

signals:
    void setStatus(QString);

private slots:
    void on_insertButton_clicked();
    void on_editButton_clicked();
    void refreshTable(void);

private:
    QGridLayout *gridLayout;
    QListView *listView;
    QTreeWidget *treeWidget;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout;
    QPushButton *quitButton;
    QPushButton *insertButton;
    QPushButton *openButton;

    void edit(int recno);
};

#endif
